library(tidyverse)
library(refund)
library(refund.shiny)
library(splines)
library(MASS)
source("Gibbs_Mult_FPCA.R")

#CMJ total power
d = CMJbwTOT

outcome_matrix = as.matrix(dplyr::select(d, c(8:108)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX)

data_frame$outcome = outcome_matrix

fit_cmjtot = gibbs_mult_fpca(outcome ~ sex + time + group + time:group + re(id), 
                            Kt = 12, 
                            N.iter = 10000,
                            N.burn = 1000,
                            data = data_frame)
#CMJ leg power
d = CMJbwLEG

outcome_matrix = as.matrix(dplyr::select(d, c(9:109)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_cmjleg = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + side:time + re(id), 
                             Kt = 12, 
                             N.iter = 10000,
                             N.burn = 1000,
                             data = data_frame)

#CMJ hip
d = CMJbwhip 

outcome_matrix = as.matrix(dplyr::select(d, c(10:110)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_cmjhip = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + re(id), 
                             Kt = 12, 
                             N.iter = 10000,
                             N.burn = 1000,
                             data = data_frame)

#CMJ knee
d = CMJbwknee 

outcome_matrix = as.matrix(dplyr::select(d, c(10:110)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_cmjknee = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + re(id), 
                             Kt = 12, 
                             N.iter = 10000,
                             N.burn = 1000,
                             data = data_frame)

#CMJ ankle
d = CMJbwankle 

outcome_matrix = as.matrix(dplyr::select(d, c(10:110)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_cmjankle = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + re(id), 
                              Kt = 12, 
                              N.iter = 10000,
                              N.burn = 1000,
                              data = data_frame)

#CMJ foot
d = CMJbwfoot 

outcome_matrix = as.matrix(dplyr::select(d, c(10:110)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_cmjfoot = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + re(id), 
                               Kt = 12, 
                               N.iter = 10000,
                               N.burn = 1000,
                               data = data_frame)

#SJ total power
d = SJbwTOT 

outcome_matrix = as.matrix(dplyr::select(d, c(8:108)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX)

data_frame$outcome = outcome_matrix

fit_sjtot = gibbs_mult_fpca(outcome ~ sex + time + group + time:group + re(id), 
                             Kt = 12, 
                             N.iter = 10000,
                             N.burn = 1000,
                             data = data_frame)
#SJ leg power
d = SJbwLEG 

outcome_matrix = as.matrix(dplyr::select(d, c(9:109)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_sjleg = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + side:time + re(id), 
                             Kt = 12, 
                             N.iter = 10000,
                             N.burn = 1000,
                             data = data_frame)

#SJ hip
d = SJbwhip

outcome_matrix = as.matrix(dplyr::select(d, c(10:110)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_sjhip = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + re(id), 
                             Kt = 12, 
                             N.iter = 10000,
                             N.burn = 1000,
                             data = data_frame)

#SJ knee
d = SJbwknee 
outcome_matrix = as.matrix(dplyr::select(d, c(10:110)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_sjknee = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + re(id), 
                              Kt = 12, 
                              N.iter = 10000,
                              N.burn = 1000,
                              data = data_frame)

#SJ ankle
d = SJbwankle  

outcome_matrix = as.matrix(dplyr::select(d, c(10:110)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_sjankle = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + re(id), 
                               Kt = 12, 
                               N.iter = 10000,
                               N.burn = 1000,
                               data = data_frame)

#SJ foot
d = SJbwfoot

outcome_matrix = as.matrix(dplyr::select(d, c(10:110)))

data_frame = dplyr::select(d, id = SUBJ, group = GROUP, time = TIME, sex = SEX,side = SIDE)

data_frame$outcome = outcome_matrix

fit_sjfoot = gibbs_mult_fpca(outcome ~ sex + side + time + group + time:group + re(id), 
                              Kt = 12, 
                              N.iter = 10000,
                              N.burn = 1000,
                              data = data_frame)



